{block name='checkout-inc-order-items'}
    {input type="submit" name="fake" class="d-none"}

    {* Set number of cols depending on which information should be displayed *}
    {if $Einstellungen.kaufabwicklung.warenkorb_produktbilder_anzeigen === 'Y'}
        {$itemInfoCols=4}
        {$cols=6}
    {elseif $Einstellungen.kaufabwicklung.warenkorb_produktbilder_anzeigen === 'N'}
        {$itemInfoCols=7}
        {$cols=6}
    {/if}
    {if $Einstellungen.kaufabwicklung.bestellvorgang_einzelpreise_anzeigen !== 'Y'}
        {$itemInfoCols=$itemInfoCols+2}
    {/if}

    {block name='checkout-inc-order-items-order-items'}
        {* "Table" Header *}
        {block name='checkout-inc-order-items-order-items-header'}
            {* Not Used right now, but maybe for child templates *}
            {* <div class="row checkout-items-header">
                {if $Einstellungen.kaufabwicklung.warenkorb_produktbilder_anzeigen === 'Y'}
                    <div class="col col-3 d-none d-lg-block"></div>
                {/if}
                <div class="col col-{$cols} col-lg-{$itemInfoCols}">{lang key='product'}</div>
                <div class="col col-3 col-lg-2 text-center-util">{lang key="quantity" section="checkout"}</div>
                {if $Einstellungen.kaufabwicklung.bestellvorgang_einzelpreise_anzeigen === 'Y'}
                    <div class="col d-none d-lg-block">{lang key="pricePerUnit" section="productDetails"}</div>
                {/if}
                <div class="col text-right-util">{lang key="price"}</div>
                <div class="col col-12">
                    <hr>
                </div>
            </div> *}
        {/block}

        {* Order Items *}
        {block name='checkout-inc-order-items-order-items-main'}
        {foreach $smarty.session.Warenkorb->PositionenArr as $oPosition}
            {if !$oPosition->istKonfigKind()}
                <div class="row type-{$oPosition->nPosTyp} checkout-items-item">
                    {* Product image *}
                    {block name='checkout-inc-order-items-image'}
                        {if $Einstellungen.kaufabwicklung.warenkorb_produktbilder_anzeigen === 'Y'}
                            <div class="col col-3 d-none d-lg-block checkout-items-item-image-wrapper">
                                {if !empty($oPosition->Artikel->cVorschaubild)}
                                    <a href="{$oPosition->Artikel->cURLFull}" title="{$oPosition->cName|trans|escape:'html'}">
                                        {image lazy=true
                                            webp=true
                                            src=$oPosition->Artikel->cVorschaubild
                                            alt=$oPosition->cName|trans
                                            fluid-grow=true
                                        }
                                    </a>
                                {/if}
                            </div>
                        {/if}
                    {/block}

                    {* Main Content, ie product name, product data, etc. *}
                    {block name='checkout-inc-order-items-items-main-content'}
                        <div class="col col-{$cols} col-lg-{$itemInfoCols} checkout-items-item-main">
                            {if $oPosition->nPosTyp == $C_WARENKORBPOS_TYP_ARTIKEL || $oPosition->nPosTyp == $C_WARENKORBPOS_TYP_GRATISGESCHENK}
                                {* Product Name *}
                                {block name='checkout-inc-order-items-product-data-link'}
                                    <a class="order-items-name link-discreet" href="{$oPosition->Artikel->cURLFull}" title="{$oPosition->cName|trans|escape:'html'}">{$oPosition->cName|trans}</a>
                                {/block}

                                {* Product Rating *}
                                {block name='checkout-inc-order-items-items-include-rating'}
                                    {if $Einstellungen.bewertung.bewertung_anzeigen === 'Y'}
                                        {* We have to call holeBewertungDurchschnitt() because the average rating is not available here... *}
                                        {assign var="oPosAr" value=$oPosition->Artikel->holeBewertungDurchschnitt()}
                                        {include file='productdetails/rating.tpl' stars=$oPosAr->fDurchschnittsBewertung link=$oPosAr->cURLFull}
                                    {/if}
                                {/block}

                                {* Product Data *}
                                {block name='checkout-inc-order-items-product-data'}
                                    <ul class="list-unstyled order-items-product-data">
                                        {* Short Description *}
                                        {if $Einstellungen.kaufabwicklung.bestellvorgang_artikelkurzbeschreibung == 'Y' && $oPosition->Artikel->cKurzBeschreibung|strlen > 0}
                                            {block name='checkout-inc-order-items-product-data-desc'}
                                                <li class="shortdescription">{$oPosition->Artikel->cKurzBeschreibung}</li>
                                            {/block}
                                        {/if}

                                        {* SKU *}
                                        {block name='checkout-inc-order-items-product-data-sku'}
                                            <li class="sku"><span class="et-product-data-label">{lang key='productNo'}:</span> {$oPosition->Artikel->cArtNr}</li>
                                        {/block}

                                        {* MHS *}
                                        {if isset($oPosition->Artikel->dMHD) && isset($oPosition->Artikel->dMHD_de) && $oPosition->Artikel->dMHD_de !== null}
                                            {block name='checkout-inc-order-items-product-data-mhd'}
                                                <li title="{lang key='productMHDTool'}" class="best-before">
                                                    <span class="et-product-data-label">{lang key='productMHD'}:</span> {$oPosition->Artikel->dMHD_de}
                                                </li>
                                            {/block}
                                        {/if}

                                        {* Base Price / VPE *}
                                        {if $oPosition->Artikel->cLocalizedVPE
                                            && $oPosition->Artikel->cVPE !== 'N'
                                            && $oPosition->nPosTyp != $C_WARENKORBPOS_TYP_GRATISGESCHENK
                                        }
                                            {block name='checkout-inc-order-items-product-data-base-price'}
                                                <li class="baseprice"><span class="et-product-data-label">{lang key='basePrice'}:</span> {$oPosition->Artikel->cLocalizedVPE[$NettoPreise]}</li>
                                            {/block}
                                        {/if}

                                        {* Variation *}
                                        {if $Einstellungen.kaufabwicklung.warenkorb_varianten_varikombi_anzeigen === 'Y' && isset($oPosition->WarenkorbPosEigenschaftArr) && !empty($oPosition->WarenkorbPosEigenschaftArr)}
                                            {foreach $oPosition->WarenkorbPosEigenschaftArr as $Variation}
                                                {block name='checkout-inc-order-items-product-data-variation'}
                                                    <li class="variation">
                                                        <span class="et-product-data-label">{$Variation->cEigenschaftName|trans}:</span> {$Variation->cEigenschaftWertName|trans}
                                                    </li>
                                                {/block}
                                            {/foreach}
                                        {/if}

                                        {* Delivery Satus *}
                                        {if $Einstellungen.kaufabwicklung.bestellvorgang_lieferstatus_anzeigen === 'Y' && $oPosition->cLieferstatus|trans}
                                            {block name='checkout-inc-order-items-product-data-delivery-status'}
                                                <li class="delivery-status"><span class="et-product-data-label">{lang key='deliveryStatus'}:</span> {$oPosition->cLieferstatus|trans}</li>
                                            {/block}
                                        {/if}

                                        {* Additional Notes *}
                                        {if !empty($oPosition->cHinweis)}
                                            {block name='checkout-inc-order-items-product-data-note'}
                                                <li class="notice">{$oPosition->cHinweis}</li>
                                            {/block}
                                        {/if}

                                        {* Manufacturers *}
                                        {if $oPosition->Artikel->cHersteller && $Einstellungen.artikeldetails.artikeldetails_hersteller_anzeigen != "N"}
                                            {block name='checkout-inc-order-items-product-data-manufacturer'}
                                                 <li class="manufacturer">
                                                    <span class="et-product-data-label">{lang key='manufacturer' section='productDetails'}</span>:
                                                    <span class="values">
                                                       {$oPosition->Artikel->cHersteller}
                                                    </span>
                                                 </li>
                                            {/block}
                                        {/if}

                                        {* Characteristics *}
                                        {if $Einstellungen.kaufabwicklung.bestellvorgang_artikelmerkmale == 'Y' && !empty($oPosition->Artikel->oMerkmale_arr)}
                                            {foreach $oPosition->Artikel->oMerkmale_arr as $oMerkmale_arr}
                                                {block name='checkout-inc-order-items-product-data-attribute'}
                                                    <li class="characteristic">
                                                        <span class="et-product-data-label">{$oMerkmale_arr->cName}</span>:
                                                        <span class="values">
                                                            {foreach $oMerkmale_arr->oMerkmalWert_arr as $oWert}
                                                                {if !$oWert@first}, {/if}
                                                                {$oWert->cWert}
                                                            {/foreach}
                                                        </span>
                                                    </li>
                                                {/block}
                                            {/foreach}
                                        {/if}

                                        {* Attributes *}
                                        {if $Einstellungen.kaufabwicklung.bestellvorgang_artikelattribute == 'Y' && !empty($oPosition->Artikel->Attribute)}
                                            {foreach $oPosition->Artikel->Attribute as $oAttribute_arr}
                                                {block name='checkout-inc-order-items-product-data-attribute-attribute'}
                                                    <li class="attribute">
                                                        <span class="et-product-data-label">{$oAttribute_arr->cName}</span>:
                                                        <span class="values">
                                                            {$oAttribute_arr->cWert}
                                                        </span>
                                                    </li>
                                                {/block}
                                            {/foreach}
                                        {/if}

                                        {* Weight *}
                                        {if isset($oPosition->Artikel->cGewicht) && $Einstellungen.artikeldetails.artikeldetails_gewicht_anzeigen === 'Y' && $oPosition->Artikel->fGewicht > 0}
                                            {block name='checkout-inc-order-items-product-data-weight'}
                                                <li class="weight">
                                                    <span class="et-product-data-label">{lang key='shippingWeight'}: </span>
                                                    <span class="value">{$oPosition->Artikel->cGewicht} {lang key='weightUnit'}</span>
                                                </li>
                                            {/block}
                                        {/if}
                                    </ul>
                                {/block}
                            {* Non-Product Item *}
                            {else}
                                {block name='checkout-inc-order-items-is-not-product'}
                                    <span class="order-items-name">{$oPosition->cName|trans}{if isset($oPosition->discountForArticle)}{$oPosition->discountForArticle|trans}{/if}</span>
                                    {if isset($oPosition->cArticleNameAffix)}
                                        {if is_array($oPosition->cArticleNameAffix)}
                                            <ul class="small text-muted-util">
                                                {foreach $oPosition->cArticleNameAffix as $cArticleNameAffix}
                                                    <li>{$cArticleNameAffix|trans}</li>
                                                {/foreach}
                                            </ul>
                                        {else}
                                            <ul class="small text-muted-util">
                                                <li>{$oPosition->cArticleNameAffix|trans}</li>
                                            </ul>
                                        {/if}
                                    {/if}
                                    {if !empty($oPosition->cHinweis)}
                                        <small class="notice">{$oPosition->cHinweis}</small>
                                    {/if}
                                {/block}
                            {/if}

                            {* If the item is a configured product, list the actual configuration here *}
                            {if $oPosition->istKonfigVater()}
                                {block name='checkout-inc-order-items-product-cofig-items'}
                                    <ul class="config-items text-muted-util small">
                                        {$labeled=false}
                                        {foreach $smarty.session.Warenkorb->PositionenArr as $KonfigPos}
                                            {block name='product-config-item'}
                                                {if $oPosition->cUnique == $KonfigPos->cUnique && $KonfigPos->kKonfigitem > 0
                                                    && !$KonfigPos->isIgnoreMultiplier()}
                                                    <li>
                                                        <span class="qty">{if !$KonfigPos->istKonfigVater()}{$KonfigPos->nAnzahlEinzel}{else}1{/if}x</span>
                                                        {$KonfigPos->cName|trans} &raquo;
                                                        <span class="price_value">
                                                            {$KonfigPos->cEinzelpreisLocalized[$NettoPreise][$smarty.session.cWaehrungName]}
                                                            {lang key='pricePerUnit' section='checkout'}
                                                        </span>
                                                    </li>
                                                {elseif $oPosition->cUnique == $KonfigPos->cUnique && $KonfigPos->kKonfigitem > 0
                                                    && $KonfigPos->isIgnoreMultiplier()}
                                                    {if !$labeled}
                                                        <strong>{lang key='one-off' section='checkout'}</strong>
                                                        {$labeled=true}
                                                    {/if}
                                                    <li>
                                                        <span class="qty">{if !$KonfigPos->istKonfigVater()}{$KonfigPos->nAnzahlEinzel}{else}1{/if}x</span>
                                                        {$KonfigPos->cName|trans} &raquo;
                                                        <span class="price_value">
                                                            {$KonfigPos->cEinzelpreisLocalized[$NettoPreise][$smarty.session.cWaehrungName]}
                                                            {lang key='pricePerUnit' section='checkout'}
                                                        </span>
                                                    </li>
                                                {/if}
                                            {/block}
                                        {/foreach}
                                    </ul>
                                {/block}
                            {/if}

                            {* If the item is a part list item, list the parts here *}
                            {if !empty($oPosition->Artikel->kStueckliste) && !empty($oPosition->Artikel->oStueckliste_arr)}
                                {block name='checkout-inc-order-items-product-partlist-items'}
                                    <ul class="partlist-items text-muted-util small">
                                        {foreach $oPosition->Artikel->oStueckliste_arr as $partListItem}
                                            <li>
                                                <span class="qty">{$partListItem->fAnzahl_stueckliste}x</span>
                                                {$partListItem->cName|trans}
                                            </li>
                                        {/foreach}
                                    </ul>
                                {/block}
                            {/if}
                        </div>

                        {* Quantity *}
                        {block name='checkout-inc-order-items-quantity'}
                            <div class="col col-3 col-lg-2  checkout-items-item-quantity text-nowrap-util">
                                {$oPosition->nAnzahl|replace_delim} {if !empty($oPosition->Artikel->cEinheit)}{$oPosition->Artikel->cEinheit}{/if}
                            </div>
                        {/block}

                        {* Single Price *}
                        {block name='checkout-inc-order-items-price-single'}
                            {if $Einstellungen.kaufabwicklung.bestellvorgang_einzelpreise_anzeigen === 'Y'}
                                <div class="col d-none d-lg-block col-lg-auto checkout-items-item-price-single text-nowrap-util">
                                    {if $oPosition->nPosTyp == $C_WARENKORBPOS_TYP_ARTIKEL}
                                        {if !$oPosition->istKonfigVater() || !isset($oPosition->oKonfig_arr) || $oPosition->oKonfig_arr|count === 0}
                                            {$oPosition->cEinzelpreisLocalized[$NettoPreise][$smarty.session.cWaehrungName]}
                                        {/if}
                                    {/if}
                                </div>
                            {/if}
                        {/block}
                    {/block}

                    {* Pricing *}
                    {block name='checkout-inc-order-items-order-items-price-net'}
                        <div class="col col-3 col-lg-auto checkout-items-item-price price-col text-nowrap-util">
                            <strong class="price_overall">
                                {if $oPosition->istKonfigVater()}
                                    {$oPosition->cKonfigpreisLocalized[$NettoPreise][$smarty.session.cWaehrungName]}
                                {else}
                                    {$oPosition->cGesamtpreisLocalized[$NettoPreise][$smarty.session.cWaehrungName]}
                                {/if}
                            </strong>
                        </div>
                    {/block}

                    {* Border Bottom *}
                    {block name='checkout-inc-order-items-items-bottom-hr'}
                        <div class="col col-12"><hr></div>
                    {/block}
                </div>
            {/if}
        {/foreach}
        {/block}
    {/block}

    {* Total *}
    {block name='checkout-inc-order-items-order-items-total'}
        <div class="row checkout-items-total-wrapper">
            <div class='col col-xl-5 col-md-6 checkout-items-total'>
                {block name='checkout-inc-order-items-price-tax'}
                    {if $NettoPreise}
                        {block name='checkout-inc-order-items-price-net'}
                            <div class="row total-net">
                                <div class="col">
                                    <span class="price_label"><strong>{lang key='totalSum'} ({lang key='net'}):</strong></span>
                                </div>
                                <div class="col col-auto price-col">
                                    <strong class="price total-sum">{$WarensummeLocalized[$NettoPreise]}</strong>
                                </div>
                            </div>
                        {/block}
                    {/if}

                    {if $Einstellungen.global.global_steuerpos_anzeigen !== 'N' && $Steuerpositionen|@count > 0}
                        {block name='checkout-inc-order-items-tax'}
                            {foreach $Steuerpositionen as $Steuerposition}
                                <div class="row tax">
                                    <div class="col">
                                        <span class="tax_label">{$Steuerposition->cName}:</span>
                                    </div>
                                    <div class="col col-auto price-col">
                                        <span class="tax_label">{$Steuerposition->cPreisLocalized}</span>
                                    </div>
                                </div>
                            {/foreach}
                        {/block}
                    {/if}

                    {if isset($smarty.session.Bestellung->GuthabenNutzen) && $smarty.session.Bestellung->GuthabenNutzen == 1}
                        {block name='checkout-inc-order-items-credit'}
                             <div class="row customer-credit">
                                 <div class="col">
                                    {lang key='useCredit' section='account data'}
                                 </div>
                                 <div class="col col-auto">
                                     {$smarty.session.Bestellung->GutscheinLocalized}
                                 </div>
                             </div>
                        {/block}
                    {/if}
                    {block name='checkout-inc-order-items-price-sticky'}
                        <hr>
                        <div class="row checkout-items-total-total">
                            <div class="col">
                                <span class="price_label"><strong>{lang key='totalSum'}:</strong></span>
                            </div>
                            <div class="col col-auto price-col">
                                <strong class="price total-sum">{$WarensummeLocalized[0]}</strong>
                            </div>
                        </div>
                    {/block}
                {/block}
                {block name='checkout-inc-order-items-shipping'}
                    {if isset($oSpezialseiten_arr[$smarty.const.LINKTYP_VERSAND])}
                        {if isset($FavourableShipping)}
                            {if $NettoPreise}
                                {$shippingCosts = "`$FavourableShipping->cPriceLocalized[$NettoPreise]` {lang key='plus' section='basket'} {lang key='vat' section='productDetails'}"}
                            {else}
                                {$shippingCosts = $FavourableShipping->cPriceLocalized[$NettoPreise]}
                            {/if}
                            <div class="row shipping-costs text-right-util">
                               <div class="col col-12">
                                    <small>{lang|sprintf:$oSpezialseiten_arr[$smarty.const.LINKTYP_VERSAND]->getURL():$shippingCosts:$FavourableShipping->country->getName() key='shippingInformationSpecific' section='basket'}</small>
                                </div>
                            </div>
                        {elseif empty($FavourableShipping) && empty($smarty.session.Versandart)}
                            <div class="row shipping-costs text-right-util">
                                <div class="col col-12">
                                    <small>{lang|sprintf:$oSpezialseiten_arr[$smarty.const.LINKTYP_VERSAND]->getURL() key='shippingInformation' section='basket'}</small>
                                </div>
                            </div>
                        {/if}
                    {/if}
                {/block}
                {if !empty($smarty.session.Warenkorb->OrderAttributes)}
                    {block name='checkout-inc-order-items-finance'}
                        {foreach $smarty.session.Warenkorb->OrderAttributes as $attribute}
                            {if $attribute->cName === 'Finanzierungskosten'}
                                <hr>
                                <div class="row checkout-items-total-finance-item type-{$smarty.const.C_WARENKORBPOS_TYP_ZINSAUFSCHLAG}">
                                    {block name='checkout-inc-order-items-finance-costs'}
                                        <div class="col">
                                            {lang key='financeCosts' section='order'}
                                        </div>
                                    {/block}
                                    {block name='checkout-inc-order-items-finance-costs-value'}
                                        <div class="col col-auto price-col">
                                            <strong class="price_overall">
                                                {$attribute->cValue}
                                            </strong>
                                        </div>
                                    {/block}
                                </div>
                            {/if}
                        {/foreach}
                    {/block}
                {/if}
            </div>
        </div>
    {/block}
{/block}
