{block name='productdetails-details'}
    {*{has_boxes position='left' assign='hasLeftBox'}*}
    {$hasLeftBox = false}
    {$maxLengthShortDescription = $maxLengthShortDescription|default:[]}
    {$manufacturerLayout = $manufacturerLayout|default:'default'}
    {$manufacturerAlignmentHorizontal = $manufacturerAlignmentHorizontal|default:'default'}

    {* Set Default Thumb Position if none is provided *}
    {if !isset($thumbsPosition)}
        {assign var="thumbsPosition" value="bottom"}
    {/if}

    {* Alerts + Add-To-Cart Info *}
    {if isset($bWarenkorbHinzugefuegt) && $bWarenkorbHinzugefuegt}
        {et_getGlobalSettings assign="et_globalSettings"}
        {if $et_globalSettings.pushToBasketAction === 'showPushedSuccess' || $et_globalSettings.pushToBasketAction === 'both'}
            {block name='productdetails-details-include-pushed-success'}
                {include file='productdetails/pushed_success.tpl' card=true}
            {/block}
        {elseif isset($cartNote)}
            {block name='productdetails-details-include-pushed-success-alert-only'}
                <div class="alert alert-success">
                    {et_getIcon key="alertSuccess" assign='icon'}
                    {if $icon}<i class="{$icon}"></i>{/if}
                    {$cartNote}
                </div>
            {/block}
        {/if}
        {if $et_globalSettings.pushToBasketAction === 'showMiniBasket' || $et_globalSettings.pushToBasketAction === 'both'}
            <script>$(window).on('load', function() { $.evo.basket().showCart(); });</script>
        {/if}
    {else}
        {block name='productdetails-details-alert-product-note'}
            {$alertList->displayAlertByKey('productNote')}
        {/block}
    {/if}

    {* BuyBox *}
    {block name='productdetails-details-form'}
        {opcMountPoint id='opc_before_buy_form' inContainer=true}

        <form id="buy_form" action="{$Artikel->cURLFull}" method="POST" class="jtl-validate" target="_self">
            {csrf_token}
            <div id="product-offer" class="row product-detail">
                {* Product Image / Gallery *}
                {block name='productdetails-details-include-image'}
                    <div class="col col-12 {if $thumbsPosition === 'bottom' || $thumbsPosition === 'top'}col-lg-5 mr-auto{else}col-lg-6{/if} product-gallery">
                        {opcMountPoint id='opc_before_gallery'}
                        {include file='productdetails/image.tpl'}
                        {opcMountPoint id='opc_after_gallery'}
                    </div>
                {/block}

                {* Product Info *}
                {block name='productdetails-details-info'}
                    <div class="col col-12 col-lg-6 product-info">
                        {block name='productdetails-details-info-inner'}
                            <div class="product-info-inner">
                                {* Manufacturer *}
                                {block name='productdetails-details-info-manufacturer-wrapper'}
                                    {if $Einstellungen.artikeldetails.artikeldetails_hersteller_anzeigen !== 'N' && isset($Artikel->cHersteller)}
                                        {block name='productdetails-details-product-info-manufacturer'}
                                            <div class="product-manufacturer et-layout-{$manufacturerLayout} et-align-horizontal-{$manufacturerAlignmentHorizontal}" itemprop="brand" itemscope itemtype="https://schema.org/Organization">
                                                {if $Einstellungen.artikeldetails.artikel_weitere_artikel_hersteller_anzeigen === 'Y'}
                                                <a href="{if !empty($Artikel->cHerstellerHomepage)}{$Artikel->cHerstellerHomepage}{else}{$ShopURL}/{$Artikel->cHerstellerSeo}{/if}"
                                                    class="link-discreet et-product-detail-manufacturer-row"
                                                    {if $Einstellungen.artikeldetails.artikeldetails_hersteller_anzeigen === 'B'}
                                                        data-toggle="tooltip"
                                                        data-placement="left"
                                                        title="{$Artikel->cHersteller|escape:'html'}"
                                                    {/if}
                                                    itemprop="url">
                                                    {else}
                                                        <div class="et-product-detail-manufacturer-row">
                                                    {/if}
                                                    {if ($Einstellungen.artikeldetails.artikeldetails_hersteller_anzeigen === 'B'
                                                        || $Einstellungen.artikeldetails.artikeldetails_hersteller_anzeigen === 'BT')
                                                        && !empty($Artikel->cHerstellerBildURLKlein)}
                                                        <div class="et-product-detail-manufacturer-logo">
                                                            {image lazy=true
                                                                webp=true
                                                                src=$Artikel->cHerstellerBildURLKlein
                                                                alt=$Artikel->cHersteller|escape:'html'
                                                            }
                                                            <meta itemprop="image" content="{$Artikel->cHerstellerBildURLKlein}">
                                                        </div>
                                                    {/if}
                                                    {if $Einstellungen.artikeldetails.artikeldetails_hersteller_anzeigen !== 'B'}
                                                        <div class="et-product-detail-manufacturer-name" itemprop="name">{$Artikel->cHersteller}</div>
                                                    {/if}
                                                    {if $Einstellungen.artikeldetails.artikel_weitere_artikel_hersteller_anzeigen === 'Y'}
                                                </a>
                                                {else}
                                                    </div>
                                                {/if}
                                            </div>
                                        {/block}
                                    {/if}
                                {/block}

                                {* Product Headline *}
                                {block name='productdetails-details-info-product-title'}
                                    <div class="product-headline">
                                        {opcMountPoint id='opc_before_headline'}
                                        <h1 class="product-title h2" itemprop="name">{$Artikel->cName}</h1>
                                    </div>
                                {/block}

                                {* Essential Product Info, i.e. ratins, sku, category *}
                                {block name='productdetails-details-info-essential-wrapper'}
                                    {* Essential Product Info Row *}
                                    {if ($Artikel->Bewertungen->oBewertungGesamt->nAnzahl > 0) || isset($Artikel->cArtNr)}
                                        {block name="productdetails-details-info-essential-row"}
                                            <div class="product-essential-info-row">
                                                {* Ratings, if available and activated *}
                                                {if ($Einstellungen.bewertung.bewertung_anzeigen === 'Y' && $Artikel->Bewertungen->oBewertungGesamt->nAnzahl > 0)}
                                                    {block name='productdetails-details-info-rating-wrapper'}
                                                        <div class="rating-wrapper" itemprop="aggregateRating" itemscope itemtype="https://schema.org/AggregateRating">
                                                            <meta itemprop="ratingValue" content="{$Artikel->Bewertungen->oBewertungGesamt->fDurchschnitt}"/>
                                                            <meta itemprop="bestRating" content="5"/>
                                                            <meta itemprop="worstRating" content="1"/>
                                                            <meta itemprop="reviewCount" content="{$Artikel->Bewertungen->oBewertungGesamt->nAnzahl}"/>

                                                            {block name='productdetails-details-include-rating'}
                                                                <a href="{$Artikel->cURLFull}#tab-votes"
                                                                    id="jump-to-votes-tab"
                                                                    aria-label="{lang key='Votes'}"
                                                                >
                                                                    {include file='productdetails/rating.tpl' stars=$Artikel->Bewertungen->oBewertungGesamt->fDurchschnitt total=$Artikel->Bewertungen->oBewertungGesamt->nAnzahl}
                                                                </a>
                                                            {/block}
                                                        </div>
                                                    {/block}
                                                {/if}

                                                <div class="product-essential-info-row-text">
                                                    {* SKU *}
                                                    {block name='productdetails-details-info-item-id'}
                                                        {if isset($Artikel->cArtNr)}
                                                            <div class="product-sku">
                                                                {* The attribute data-js-product-sku is used by jtl.article.js to change the SKU dynamically *}
                                                                {lang key='sortProductno'}: <span itemprop="sku" data-js-product-sku>{$Artikel->cArtNr}</span>
                                                            </div>
                                                        {/if}
                                                    {/block}

                                                    {* Category Wrapper *}
                                                    {block name='productdetails-details-info-category-wrapper'}
                                                        {assign var=cidx value=($Brotnavi|@count)-2}
                                                        {if $Einstellungen.artikeldetails.artikeldetails_kategorie_anzeigen === 'Y' && isset($Brotnavi[$cidx])}
                                                            {block name='productdetails-details-info-category'}
                                                                <div class="product-category">
                                                                    <span>{lang key='category'}: </span>
                                                                    <a href="{$Brotnavi[$cidx]->getURLFull()}" itemprop="category">{$Brotnavi[$cidx]->getName()}</a>
                                                                </div>
                                                            {/block}
                                                        {/if}
                                                    {/block}
                                                </div>
                                            </div>
                                        {/block}

                                        {* List of different essentials infos, ie sku, MHD, gtin, etc *}
                                        {block name='productdetails-details-info-essential'}
                                            <ul class="info-essential list-unstyled">
                                                {block name='productdetails-details-info-mhd'}
                                                    {if isset($Artikel->dMHD) && isset($Artikel->dMHD_de)}
                                                        <li class="product-mhd">
                                                            <strong title="{lang key='productMHDTool'}">
                                                                {lang key='productMHD'}:
                                                            </strong>
                                                            <span itemprop="best-before">{$Artikel->dMHD_de}</span>
                                                        </li>
                                                    {/if}
                                                {/block}
                                                {block name='productdetails-details-info-gtin'}
                                                    {if !empty($Artikel->cBarcode)
                                                    && ($Einstellungen.artikeldetails.gtin_display === 'details'
                                                    || $Einstellungen.artikeldetails.gtin_display === 'always')}
                                                        <li class="product-ean">
                                                            <strong>{lang key='ean'}:</strong>
                                                            <span itemprop="{if $Artikel->cBarcode|count_characters === 8}gtin8{else}gtin13{/if}">{$Artikel->cBarcode}</span>
                                                        </li>
                                                    {/if}
                                                {/block}
                                                {block name='productdetails-details-info-isbn'}
                                                    {if !empty($Artikel->cISBN)
                                                    && ($Einstellungen.artikeldetails.isbn_display === 'D'
                                                    || $Einstellungen.artikeldetails.isbn_display === 'DL')}
                                                        <li class="product-isbn">
                                                            <strong>{lang key='isbn'}:</strong>
                                                            <span itemprop="gtin13">{$Artikel->cISBN}</span>
                                                        </li>
                                                    {/if}
                                                {/block}
                                                {block name='productdetails-details-hazard-info'}
                                                    {if !empty($Artikel->cUNNummer) && !empty($Artikel->cGefahrnr)
                                                    && ($Einstellungen.artikeldetails.adr_hazard_display === 'D'
                                                    || $Einstellungen.artikeldetails.adr_hazard_display === 'DL')}
                                                        <li class="product-hazard">
                                                            <strong>{lang key='adrHazardSign'}:</strong>
                                                            <table class="adr-table">
                                                                <tr>
                                                                    <td>{$Artikel->cGefahrnr}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td>{$Artikel->cUNNummer}</td>
                                                                </tr>
                                                            </table>
                                                        </li>
                                                    {/if}
                                                {/block}
                                            </ul>
                                        {/block}
                                    {/if}
                                {/block}

                                {* Short Description *}
                                {block name='productdetails-details-info-description-wrapper'}
                                {if $Einstellungen.artikeldetails.artikeldetails_kurzbeschreibung_anzeigen === 'Y' && $Artikel->cKurzBeschreibung}
                                    <div class="shortdesc-wrapper">
                                        {block name='productdetails-details-info-description'}
                                            {opcMountPoint id='opc_before_short_desc'}
                                            <div class="shortdesc" itemprop="description" data-line-clamp='{block name='productdetails-details-info-description-line-clamp-config'}{$maxLengthShortDescription|json_encode}{/block}'>
                                                {$Artikel->cKurzBeschreibung}
                                            </div>
                                        {/block}

                                        {block name="productdetails-details-info-description-buttons"}
                                            {block name="productdetails-details-info-description-buttons-read-more"}
                                                <div class="et-shorten-to-more et-line-clamp-more" style="display: none">
                                                    <a class="link-discreet" title="{et_language key='et360_read_more'}">{et_language key='et360_read_more'}<i class="{et_getIcon key='readMore'}"></i></a>
                                                </div>
                                            {/block}
                                            {block name="productdetails-details-info-description-buttons-read-less"}{/block}
                                        {/block}
                                    </div>
                                {/if}
                                {opcMountPoint id='opc_after_short_desc'}
                                {/block}

                                {* Product Offer, ie Pricing, Variations, Stock *}
                                {block name="productdetails-details-offer-wrapper"}
                                    <div class="product-offer{if isset($basketBoxBackground)} et-background-{$basketBoxBackground}{else} et-background-default{/if}"{if !($Artikel->Preise->fVKNetto == 0 && $Einstellungen.global.global_preis0 === 'N')} itemprop="offers" itemscope itemtype="https://schema.org/Offer"{/if}>
                                        {block name='productdetails-details-info-hidden'}
                                            {if !($Artikel->Preise->fVKNetto == 0 && $Einstellungen.global.global_preis0 === 'N')}
                                                <meta itemprop="url" content="{$Artikel->cURLFull}">
                                                <link itemprop="businessFunction" href="http://purl.org/goodrelations/v1#Sell" />
                                            {/if}
                                            {input type="hidden" name="inWarenkorb" value="1"}
                                            {if $Artikel->kArtikelVariKombi > 0}
                                                {input type="hidden" name="aK" value=$Artikel->kArtikelVariKombi}
                                            {/if}
                                            {if isset($Artikel->kVariKindArtikel)}
                                                {input type="hidden" name="VariKindArtikel" value=$Artikel->kVariKindArtikel}
                                            {/if}
                                            {if isset($smarty.get.ek)}
                                                {input type="hidden" name="ek" value=$smarty.get.ek|intval}
                                            {/if}
                                            <input type="hidden" class="current_article" name="a" value="{$Artikel->kArtikel}" />
                                            <input type="hidden" name="wke" value="1" />
                                            <input type="hidden" name="show" value="1" />
                                            <input type="hidden" name="kKundengruppe" value={$smarty.session.Kundengruppe->getID()} />
                                            <input type="hidden" name="kSprache" value={$smarty.session.kSprache} />
                                        {/block}

                                        {block name="productdetails-details-offer"}
                                            <div class="row et-details-offer-row">
                                                {block name="productdetails-details-offer-data"}
                                                    <div class="col col-12 col-md-6 et-details-offer-datra">
                                                        {* Price *}
                                                        {block name='productdetails-details-include-price'}
                                                            {if !defined('FKT_ATTRIBUT_VOUCHER_FLEX') || !($Artikel->Preise->fVKNetto == 0 && isset($Artikel->FunktionsAttribute[$smarty.const.FKT_ATTRIBUT_VOUCHER_FLEX]))}
                                                                {include file='productdetails/price.tpl' Artikel=$Artikel tplscope='detail' priceLarge=true}
                                                            {/if}
                                                        {/block}

                                                        {* Stock Info *}
                                                        {block name='productdetails-details-stock'}
                                                            <div class="stock-information {if !isset($availability) && !isset($shippingTime)}stock-information-p{/if} {if $Einstellungen.artikeldetails.artikeldetails_fragezumprodukt_anzeigen === 'P'}pb-0{/if}">
                                                                {block name='productdetails-details-include-stock'}
                                                                    {include file='productdetails/stock.tpl'}
                                                                {/block}

                                                                {block name='snippets-stock-note-include-warehouse'}
                                                                    {include file='productdetails/warehouse.tpl'}
                                                                {/block}
                                                            </div>
                                                        {/block}

                                                        {* Product Question *}
                                                        {block name='productdetails-details-question-on-item'}
                                                            {* Use this template if we do not use the product actions below" *}
                                                            {* <div class="question-on-item">
                                                                {if $Einstellungen.artikeldetails.artikeldetails_fragezumprodukt_anzeigen === 'P'}
                                                                    <a href="#question-popup-{$Artikel->kArtikel}" id="z{$Artikel->kArtikel}"
                                                                            class="link-discreet question"
                                                                            title="{lang key='productQuestion' section='productDetails'}"
                                                                            data-toggle="modal"
                                                                            data-target="#question-popup-{$Artikel->kArtikel}">
                                                                        <i class="{et_getIcon key="question"} status-icon"></i>{lang key='productQuestion' section='productDetails'}
                                                                    </a>
                                                                {/if}
                                                            </div> *}
                                                        {/block}
                                                    </div>
                                                {/block}

                                                {block name="productdetails-details-offer-buy-area"}
                                                    <div class="col col-12 col-md-6 et-details-offer-buy-area">
                                                        <!-- VARIATIONEN -->
                                                        {block name='productdetails-details-include-variation'}
                                                            {include file='productdetails/variation.tpl' simple=$Artikel->isSimpleVariation showMatrix=$showMatrix}
                                                        {/block}

                                                        {* Availability Notification *}
                                                        {if $verfuegbarkeitsBenachrichtigung !== 0}
                                                            {block name='productdetails-details-availability-notification-trigger'}
                                                                {include file="widgets/base/button.tpl" type="button" variant="primary" title="{lang key='notifyMeWhenProductAvailableAgain'}" dataToggle="modal" dataTarget="#availability-popup-{$Artikel->kArtikel}" label="{lang key='notifyMeWhenProductAvailableAgain'}"}
                                                            {/block}
                                                        {/if}

                                                        {*WARENKORB anzeigen wenn keine variationen mehr auf lager sind?!*}
                                                        {* Configurator *}
                                                        {if $Artikel->bHasKonfig}
                                                            {block name='productdetails-details-config-button'}
                                                                <div class="row">
                                                                    {* Choose Variation Alert *}
                                                                    {if isset($Artikel->Variationen) && $Artikel->Variationen|@count > 0}
                                                                        {block name='productdetails-details-config-button-info'}
                                                                            <div class="col col-12 js-choose-variations-wrapper">
                                                                                <div role="alert" class="alert alert-info choose-variations">
                                                                                    <div class="sr-only">x</div>
                                                                                    {et_getIcon key="alertInfo" assign='icon'}
                                                                                    {if $icon}<i class="{$icon}"></i>{/if}
                                                                                    {lang key='chooseVariations' section='messages'}
                                                                                </div>
                                                                            </div>
                                                                        {/block}
                                                                    {/if}
                                                                    {* Configure Article Button *}
                                                                    {block name='productdetails-details-config-button-button'}
                                                                        <div class="col col-12">
                                                                            {include file="widgets/base/button.tpl" variant="primary" classes="btn-block start-configuration js-start-configuration" href="#cfg-container" disabled=(isset($Artikel->Variationen) && $Artikel->Variationen|@count > 0) iconPosition="left" icon="{et_getIcon key="configure"}" label="{lang key='configure'}"}
                                                                        </div>
                                                                    {/block}
                                                                </div>
                                                            {/block}
                                                        {else}
                                                            {* Basket *}
                                                            {block name='productdetails-details-include-basket'}
                                                                {include file='productdetails/basket.tpl'}
                                                            {/block}
                                                        {/if}

                                                        {* Mobile stock info *}
                                                        {block name='productdetails-details-stock-mobile'}
                                                            <div class="stock-information stock-information-mobile {if !isset($availability) && !isset($shippingTime)}stock-information-p{/if}">
                                                                {block name='productdetails-details-include-stock'}
                                                                    {include file='productdetails/stock.tpl'}
                                                                {/block}

                                                                {block name='snippets-stock-note-include-warehouse'}
                                                                    {include file='productdetails/warehouse.tpl'}
                                                                {/block}
                                                            </div>
                                                        {/block}
                                                    </div>
                                                {/block}
                                            </div>
                                        {/block}

                                        {* UPLOADS product-specific files, e.g. for customization *}
                                        {block name='productdetails-details-include-uploads'}
                                            {include file="snippets/uploads.tpl" tplscope='product'}
                                        {/block}
                                    </div>
                                {/block}
                            </div>{* /product-info-inner *}

                            {* Product Actions, like Questions, Notelist, Comparelist *}
                            {block name='productdetails-product-actions'}
                                <div class="product-actions">
                                    <div class="question-on-item">
                                        {block name='productdetails-details-question-on-item'}
                                            {if $Einstellungen.artikeldetails.artikeldetails_fragezumprodukt_anzeigen === 'P'}
                                                <button type="button" id="z{$Artikel->kArtikel}"
                                                        class="btn btn-link question"
                                                        title="{lang key='productQuestion' section='productDetails'}"
                                                        data-toggle="modal"
                                                        data-target="#question-popup-{$Artikel->kArtikel}">
                                                    <span class="{et_getIcon key="question"}"></span>
                                                    <span class="hidden-xs hidden-sm">{lang key='productQuestion' section='productDetails'}</span>
                                                </button>
                                            {/if}
                                        {/block}
                                    </div>

                                    {if !($Artikel->nIstVater && $Artikel->kVaterArtikel == 0)}
                                        {if $Einstellungen.global.global_wunschliste_anzeigen === 'Y'}
                                            {block name='productdetails-product-actions-include-wishlist-button'}
                                                {include file='snippets/wishlist_button.tpl' buttonAndText=true}
                                            {/block}
                                        {/if}

                                        {if $Einstellungen.artikeldetails.artikeldetails_vergleichsliste_anzeigen === 'Y'
                                            && $Einstellungen.vergleichsliste.vergleichsliste_anzeigen === 'Y'}
                                            {block name='productdetails-product-actions-include-comparelist-button'}
                                                {include file='snippets/comparelist_button.tpl' btnType="link"}
                                            {/block}
                                        {/if}
                                    {/if}
                                </div>
                            {/block}
                        {/block}
                    </div>
                {/block}

                {opcMountPoint id='opc_after_product_info'}
            </div>

            {* Product Detail Matrix *}
            {block name='productdetails-details-include-matrix'}
                {include file='productdetails/matrix.tpl'}
            {/block}

            {* Product Configurator *}
            {if $Artikel->bHasKonfig}
                {block name='productdetails-details-include-config-container'}
                    <div id="product-configurator" class="row">
                        {include file='productdetails/config_container.tpl'}
                    </div>
                {/block}
            {/if}
        </form>
    {/block}
{/block}
