{* This template is included in the wishlist and product lists in list view *}
{block name='productlist-item-details'}
    {assign var="tplScope" value=$tplScope|default:'generic'}
    <dl class="form-row productlist-item-detail text-nowrap-util {if $small|default:false === true}formrow-small{/if}">
    {block name='productlist-item-details-product-number'}
        <dt class="col col-6">{lang key='productNo'}:</dt>
        <dd class="col col-6">{$Artikel->cArtNr}</dd>
    {/block}
    {if count($Artikel->Variationen) > 0}
        {block name='productlist-item-details-variations'}
            <dt class="col col-6">{lang key='variationsIn' section='productOverview'}:</dt>
            <dd class="col col-6">
                <ul class="variations-list list-unstyled">
                    {foreach $Artikel->Variationen as $variation}
                        <li>{$variation->cName}<li>
                        {if $variation@index === 3 && !$variation@last}
                            <li>&hellip;</li>
                            {break}
                        {/if}
                    {/foreach}
                </ul>
            </dd>
        {/block}
    {/if}
    {if !empty($Artikel->cBarcode)
    && ($Einstellungen.artikeldetails.gtin_display === 'lists'
    || $Einstellungen.artikeldetails.gtin_display === 'always')}
        {block name='productlist-item-details-gtin'}
            <dt class="col col-6">{lang key='ean'}:</dt>
            <dd class="col col-6">{$Artikel->cBarcode}</dd>
        {/block}
    {/if}
    {if !empty($Artikel->cISBN)
    && ($Einstellungen.artikeldetails.isbn_display === 'L'
    || $Einstellungen.artikeldetails.isbn_display === 'DL')}
        {block name='productlist-item-details-isbn'}
            <dt class="col col-6">{lang key='isbn'}:</dt>
            <dd class="col col-6">{$Artikel->cISBN}</dd>
        {/block}
    {/if}


    {if $tplScope !== 'list' && $Einstellungen.artikeluebersicht.artikeluebersicht_hersteller_anzeigen !== 'N' && !empty($Artikel->cHersteller)}
        {block name='productlist-item-details-manufacturer'}
            <dt class="col col-6">{lang key='manufacturer' section='productDetails'}:</dt>
            <dd class="col col-6" itemprop='manufacturer' itemscope itemtype='https://schema.org/Organization'>
                <a href="{if !empty($Artikel->cHerstellerHomepage)}{$Artikel->cHerstellerHomepage}{else}{$ShopURL}/{$Artikel->cHerstellerSeo}{/if}"
                    class="text-decoration-none-util"
                    itemprop="url"
                    target="{if !empty($Artikel->cHerstellerHomepage)}_blank{else}_self{/if}"
                >
                    {if ($Einstellungen.artikeluebersicht.artikeluebersicht_hersteller_anzeigen === 'BT'
                        || $Einstellungen.artikeluebersicht.artikeluebersicht_hersteller_anzeigen === 'B')
                        && !empty($Artikel->cHerstellerBildKlein)
                    }
                        {image webp=true lazy=true fluid=true
                            src=$Artikel->cHerstellerBildURLKlein
                            srcset="{$Artikel->cHerstellerBildURLKlein} {$Einstellungen.bilder.bilder_hersteller_mini_breite}w,
                                    {$Artikel->cHerstellerBildURLNormal} {$Einstellungen.bilder.bilder_hersteller_normal_breite}w"
                            alt=$Artikel->cHersteller|escape:'html'
                            sizes="25px"
                            class="img-xs"}
                        <meta itemprop="image" content="{$ShopURL}/{$Artikel->cHerstellerBildKlein}">
                    {/if}
                    {if ($Einstellungen.artikeluebersicht.artikeluebersicht_hersteller_anzeigen === 'BT'
                    || $Einstellungen.artikeluebersicht.artikeluebersicht_hersteller_anzeigen === 'Y')
                    && !empty($Artikel->cHersteller)}
                        <span itemprop="name">{$Artikel->cHersteller}</span>
                    {/if}
                </a>
            </dd>
        {/block}
    {/if}

    {if !empty($Artikel->cUNNummer) && !empty($Artikel->cGefahrnr)
    && ($Einstellungen.artikeldetails.adr_hazard_display === 'L'
    || $Einstellungen.artikeldetails.adr_hazard_display === 'DL')}
        {block name='productlist-item-details-hazard'}
            <dt class="col col-6">{lang key='adrHazardSign'}:</dt>
            <dd class="col col-6">
                <table class="adr-table">
                    <tr>
                        <td>{$Artikel->cGefahrnr}</td>
                    </tr>
                    <tr>
                        <td>{$Artikel->cUNNummer}</td>
                    </tr>
                </table>
            </dd>
        {/block}
    {/if}
    {if isset($Artikel->dMHD) && isset($Artikel->dMHD_de)}
        {block name='productlist-item-details-mhd'}
            <dt class="col col-6" title="{lang key='productMHDTool'}">{lang key='productMHD'}:</dt>
            <dd class="col col-6">{$Artikel->dMHD_de}</dd>
        {/block}
    {/if}
    {if $Einstellungen.artikeluebersicht.artikeluebersicht_gewicht_anzeigen === 'Y' && isset($Artikel->cGewicht) && $Artikel->fGewicht > 0}
        {block name='productlist-item-details-shipping-weight'}
            <dt class="col col-6">{lang key='shippingWeight'}:</dt>
            <dd class="col col-6">{$Artikel->cGewicht} {lang key='weightUnit'}</dd>
        {/block}
    {/if}
    {if $Einstellungen.artikeluebersicht.artikeluebersicht_artikelgewicht_anzeigen === 'Y' && isset($Artikel->cArtikelgewicht) && $Artikel->fArtikelgewicht > 0}
        {block name='productlist-item-details-product-weight'}
            <dt class="col col-6">{lang key='productWeight'}:</dt>
            <dd class="col col-6">{$Artikel->cArtikelgewicht} {lang key='weightUnit'}</dd>
        {/block}
    {/if}
    {if $Einstellungen.artikeluebersicht.artikeluebersicht_artikelintervall_anzeigen === 'Y' && $Artikel->fAbnahmeintervall > 0}
        {block name='productlist-item-details-intervall'}
            <dt class="col col-6">{lang key='purchaseIntervall' section='productOverview'}:</dt>
            <dd class="col col-6">{$Artikel->fAbnahmeintervall} {$Artikel->cEinheit}</dd>
        {/block}
    {/if}
    {if $tplScope !== 'list' && $Einstellungen.bewertung.bewertung_anzeigen === 'Y' && $Artikel->fDurchschnittsBewertung > 0}
        {block name='productlist-item-details-rating'}
            <dt class="col col-6">{lang key='ratingAverage'}:</dt>
            <dd class="col col-6">
            {block name='productlist-item-details-include-rating'}
                {include file='productdetails/rating.tpl' stars=$Artikel->fDurchschnittsBewertung link=$Artikel->cURLFull}
            {/block}
            </dd>
        {/block}
    {/if}
    </dl>
{/block}
