{block name='snippets-filter-active-filter'}
{if $NaviFilter->getFilterCount() > 0}
    {et_isShopVersionAtLeast value="5.1.0" assign='shopIsAtLeast51'}
    {block name='snippets-filter-active-filter-content'}
        {assign var='showTitle' value=$showTitle|default:false}
        <div class="active-filters">
            {if $showTitle}
                <div class="et-active-filters-title">{lang key="filter" section="global"}:</div>
            {/if}
            {foreach $NaviFilter->getActiveFilters() as $activeFilter}
                {assign var=activeFilterValue value=$activeFilter->getValue()}
                {assign var=activeValues value=$activeFilter->getActiveValues()}
                {if $activeFilterValue !== null}
                    {if $activeValues|is_array}
                        {foreach $activeValues as $filterOption}
                            {block name='snippets-filter-active-filter-values'}
                                <a href="{$activeFilter->getUnsetFilterURL($filterOption->getValue())}"
                                    rel="nofollow"
                                    title="{if $shopIsAtLeast51}{lang key='deleteFilter'}{else}{lang key='delete'}{/if}"
                                    class="filter-type-{$activeFilter->getNiceName()} snippets-filter-item et-active-filter">
                                    {* TODO: This is a bug in JTL-Shop currently (<= 5.1.1). ActiveFilters do not provide the actual property name but contain the frontend name of the active *value* *}
                                    {if $activeFilter->getNiceName() !== 'Characteristic'}<span class="et-active-filter-name">{$activeFilter->getFrontendName()}:</span>{/if}<span class="et-active-filter-value">{$filterOption->getFrontendName()}</span><i class="{et_getIcon key="filterUnset"} snippets-filter-item-icon-left"></i>
                                </a>
                            {/block}
                        {/foreach}
                    {else}
                        {block name='snippets-filter-active-filter-value'}
                            <a href="{$activeFilter->getUnsetFilterURL($activeFilter->getValue())}"
                                rel="nofollow"
                                title="{if $shopIsAtLeast51}{lang key='deleteFilter'}{else}{lang key='delete'}{/if}"
                                class="filter-type-{$activeFilter->getNiceName()} snippets-filter-item et-active-filter">
                                {* TODO: This is a bug in JTL-Shop currently (<= 5.1.1). ActiveFilters do not provide the actual property name but contain the frontend name of the active *value* *}
                                {if $activeFilter->getNiceName() !== 'Characteristic'}<span class="et-active-filter-name">{$activeFilter->getFrontendName()}:</span>{/if}<span class="et-active-filter-value">{$activeValues->getFrontendName()}</span><i class="{et_getIcon key="filterUnset"} snippets-filter-item-icon-left"></i>
                            </a>
                        {/block}
                    {/if}
                {/if}
            {/foreach}
            {if $NaviFilter->getURL()->getUnsetAll() !== null}
                {block name='snippets-filter-active-filter-remove'}
                    <a href="{$NaviFilter->getURL()->getUnsetAll()}"
                        title="{lang key='removeFilters'}"
                        class='snippets-filter-item-all et-active-filter-clear'>
                        <span class="et-active-filter-name">{lang key='removeFilters'}</span><i class="{et_getIcon key="filterUnset"} snippets-filter-item-icon-left"></i>
                    </a>
                {/block}
            {/if}
        </div>
    {/block}
{/if}
{/block}
