{block name='snippets-product-slider'}
    {strip}
    {$isOPC=$isOPC|default:false}
    {if $productlist|@count > 0}
        {* Set default options if needed *}
        {if !isset($tplscope)}
            {assign var=tplscope value='slider'}
        {/if}
        {if !isset($sliderId)}
            {* Fallback to random ID *}
            {assign var=sliderId value=md5(microtime())}
        {/if}
        {if !isset($autoSlideInterval)}
            {assign var=autoSlideInterval value=0}
        {/if}

        {if isset($et_global.breakpoints)}
            {assign var=etBreakpoints value=$et_global.breakpoints}
        {else}
            {et_getBreakpoints assign='etBreakpoints'}
        {/if}

        {* Box Slider, ie. only one Slide Box visible *}
        {if $tplscope === 'box'}
            {block name='snippets-product-slider-box'}
                <div class="card {if $tplscope === 'box'} box box-slider{/if}{if isset($class) && $class|strlen > 0} {$class}{/if}" id="{if isset($id) && $id|strlen > 0}{$id}{/if}">
                    <div class="card-body">
                    {if !empty($title)}
                        {block name='snippets-product-slider-box-title'}
                            <div class="productlist-filter-headline">
                                {$title}
                                {if !empty($moreLink)}
                                    <a class="more float-right" href="{$moreLink}" title="{$moreTitle}" data-toggle="tooltip" data-placement="auto right" aria-label="{$moreTitle}">
                                        <i class="{et_getIcon key="navigationNext"}"></i>
                                    </a>
                                {/if}
                            </div>
                        {/block}
                    {/if}
                    {block name='snippets-product-slider-box-products'}
                        <div class="slick-slider-mb slick-smooth-loading carousel carousel-arrows-inside slick-lazy slick-type-box {if $productlist|count < 3}slider-no-preview{/if}"
                            data-slick-type="{block name='product-box-slider-class'}box-slider{/block}">
                            {include file='snippets/slider_items.tpl' items=$productlist type='product'}
                        </div>
                    {/block}
                    </div>
                </div>
            {/block}
        {* Other slider types, ie. normal product slider *}
        {else}
            {block name='snippets-product-slider-other'}
                <div class="slick-slider-other{if !$isOPC} is-not-opc{/if}{if isset($class) && $class|strlen > 0} {$class}{/if}"{if isset($id) && $id|strlen > 0} id="{$id}"{/if}>
                    {* The Product Slider Widget does not use a title atm, but for compatability reasons we keep this option :) *}
                    {if !empty($title)}
                        {block name='snippets-product-slider-other-title'}
                            {if $titleContainer|default:false}<div class="container slick-slider-other-container">{/if}
                                <div class="h2 slick-slider-other-title">
                                    {if !empty($moreLink)}
                                        <a class="text-decoration-none-util" href="{$moreLink}" title="{$moreTitle}" data-toggle="tooltip" data-placement="auto right" aria-label="{$moreTitle}">
                                            {$title}
                                        </a>
                                    {else}
                                        {$title}
                                    {/if}
                                </div>
                        {if $titleContainer|default:false}</div>{/if}
                        {/block}
                    {/if}

                    {* Product Slider *}
                    {block name='snippets-product-slider-other-products'}
                        <div class="et-product-slider-slider et-slider carousel slick-smooth-loading slider-no-preview {if $tplscope === 'half'}slick-type-half{else}slick-type-product{/if}"
                            id="et-product-slider-{$sliderId}"
                            data-slick='{block name="snippets-product-slider-other-products-slick-config"}{
                                "nextArrow": "#et-product-slider-next-{$sliderId}",
                                "prevArrow": "#et-product-slider-prev-{$sliderId}",
                                {if isset($slidesToShow, $slidesToShow.xl) && $slidesToShow.xl > 0}
                                    "slidesToShow": {$slidesToShow.xl|json_encode},
                                {else}
                                    "slidesToShow": 4,
                                {/if}
                                {if $autoSlideInterval && $autoSlideInterval > 0}
                                    "autoplay": true,
                                    "autoplaySpeed": {$autoSlideInterval|json_encode},
                                {else}
                                    "autoplay": false,
                                {/if}
                                "slidesToScroll": 1,
                                "adaptiveHeight": true,
                                "responsive": [
                                    {if isset($slidesToShow, $slidesToShow.lg) && $slidesToShow.lg > 0}
                                        { "breakpoint": {$etBreakpoints.lgMax}, "settings": { "slidesToShow": {$slidesToShow.lg|json_encode} } },
                                    {else}
                                        { "breakpoint": {$etBreakpoints.lgMax}, "settings": { "slidesToShow": 4 } },
                                    {/if}
                                    {if isset($slidesToShow, $slidesToShow.md) && $slidesToShow.md > 0}
                                        { "breakpoint": {$etBreakpoints.mdMax}, "settings": { "slidesToShow": {$slidesToShow.md|json_encode} } },
                                    {else}
                                        { "breakpoint": {$etBreakpoints.mdMax}, "settings": { "slidesToShow": 3 } },
                                    {/if}
                                    {if isset($slidesToShow, $slidesToShow.sm) && $slidesToShow.sm > 0}
                                        { "breakpoint": {$etBreakpoints.smMax}, "settings": { "slidesToShow": {$slidesToShow.sm|json_encode} } },
                                    {else}
                                        { "breakpoint": {$etBreakpoints.smMax}, "settings": { "slidesToShow": 2 } },
                                    {/if}
                                    {if isset($slidesToShow, $slidesToShow.xs) && $slidesToShow.xs > 0}
                                        { "breakpoint": {$etBreakpoints.xsMax}, "settings": { "slidesToShow": {$slidesToShow.xs|json_encode} } }
                                    {else}
                                        { "breakpoint": {$etBreakpoints.xsMax}, "settings": { "slidesToShow": 2 } }
                                    {/if}
                                ],
                                "lazyload": "ondemand"
                            }{/block}'>
                                {block name='snippets-product-slider-other-products-slider-items'}
                                    {include file='snippets/slider_items.tpl'
                                        items=$productlist
                                        type='product'
                                    }
                                {/block}
                        </div>

                        {* Product Slider Navigation *}
                        {block name="snippets-product-slider-other-products-navigation-arrows"}
                            <div class="et-slider-nav" id="et-product-slider-nav-{$sliderId}">
                                {block name="snippets-product-slider-other-products-navigation-arrows-prev"}
                                    <div class="et-slider-nav-prev enabled slick-arrow slick-hidden" id="et-product-slider-prev-{$sliderId}">
                                        <i class="{et_getIcon key='sliderPrevious'}"></i>
                                    </div>
                                {/block}

                                {block name="snippets-product-slider-other-products-navigation-arrows-next"}
                                    <div class="et-slider-nav-next enabled slick-arrow slick-hidden" id="et-product-slider-next-{$sliderId}">
                                        <i class="{et_getIcon key='sliderNext'}"></i>
                                    </div>
                                {/block}
                            </div>
                        {/block}
                    {/block}
                </div>
            {/block}
        {/if}
    {/if}
    {/strip}
{/block}
