{block name='snippets-slider-items'}
    {foreach $items as $item}
        {* Product Slider *}
        {if $type === 'product'}
            {block name='snippets-slider-items-product'}
                <div class="et-product-slider-product et-slider-slide productbox et-item-slider product-wrapper product-wrapper-product {if $item@first && $item@last} m-auto{elseif $item@first} ml-auto-util {elseif $item@last} mr-auto {/if}" {if $tplscope !== 'box'}{if isset($Link) && $Link->getLinkType() === $smarty.const.LINKTYP_STARTSEITE || $nSeitenTyp === $smarty.const.PAGE_ARTIKELLISTE}itemprop="about"{else}itemprop="isRelatedTo"{/if} itemscope itemtype="https://schema.org/Product"{/if}>
                    {include file='productlist/item_slider.tpl' Artikel=$item tplscope=$tplscope}
                </div>
            {/block}
        {* News Slider *}
        {elseif $type === 'news'}
            {block name='snippets-slider-items-news'}
                <div class="product-wrapper product-wrapper-news et-slider-slide
                            {if $item@first && $item@last}
                                mx-auto
                            {elseif $item@first}
                                ml-auto-util
                            {elseif $item@last}
                                mr-auto
                            {/if}">
                    {include file='blog/preview.tpl' newsItem=$item}
                </div>
            {/block}
        {* Free Gift Slider *}
        {elseif $type === 'freegift'}
            {block name='snippets-slider-items-freegift'}
                {* Setup Default options *}
                {if !isset($hideManufacturers)}
                    {assign var=hideManufacturers value=false}
                {/if}

                <div class="et-product-slider-product et-slider-slide productbox et-item-slider product-wrapper product-wrapper-freegift  {if $item@first && $item@last} m-auto {elseif $item@first} ml-auto-util {elseif $item@last} mr-auto {/if}freegift">
                    <div class="custom-control custom-radio">
                        <input class="custom-control-input " type="radio" id="gift{$item->kArtikel}" name="gratisgeschenk" value="{$item->kArtikel}" onclick="submit();">
                        <label for="gift{$item->kArtikel}" class="custom-control-label {if $selectedFreegift===$item->kArtikel}badge-check{/if}">
                            {if $selectedFreegift===$item->kArtikel}<span class="badge badge-secondary badge-circle"><i class="{et_getIcon key="complete"} mx-auto"></i></span>{/if}
                                {block name='snippets-slider-items-freegift-image'}
                                    <div class="square square-image">
                                        <div class="inner">
                                            {image lazy=true
                                                webp=true
                                                src=$item->Bilder[0]->cURLKlein
                                                fluid=true
                                                alt=$item->cName}
                                        </div>
                                    </div>
                                {/block}
                            <div class="productbox-caption">
                                <p class="small text-muted-util">{lang key='freeGiftFrom1'} {$item->cBestellwert} {lang key='freeGiftFrom2'}</p>

                                {* Show Manufacturer *}
                                {if $Einstellungen.artikeldetails.artikeldetails_hersteller_anzeigen !== 'N' && isset($item->cHersteller) && !$hideManufacturers}
                                    {block name='snippets-slider-items-freegift-manufacturer'}
                                        <div class="productbox-manufacturer" itemprop="brand" itemscope itemtype="https://schema.org/Organization">
                                            <a href="{if !empty($item->cHerstellerHomepage)}{$item->cHerstellerHomepage}{else}{$ShopURL}/{$item->cHerstellerSeo}{/if}"
                                                class="link-discreet"
                                                {if $Einstellungen.artikeldetails.artikeldetails_hersteller_anzeigen === 'B'}
                                                    data-toggle="tooltip"
                                                    data-placement="left"
                                                    title="{$item->cHersteller}"
                                                {/if}
                                            itemprop="url"
                                            >
                                                {* Show Manufacturer Image *}
                                                {if ($Einstellungen.artikeldetails.artikeldetails_hersteller_anzeigen === 'B'
                                                    || $Einstellungen.artikeldetails.artikeldetails_hersteller_anzeigen === 'BT')
                                                    && !empty($item->cHerstellerBildURLKlein)
                                                }
                                                    {block name='snippets-slider-items-freegift-manufacturer-image'}
                                                        {image lazy=true
                                                            webp=true
                                                            src=$item->cHerstellerBildURLKlein
                                                            alt=$item->cHersteller
                                                        }
                                                        <meta itemprop="image" content="{$item->cHerstellerBildURLKlein}">
                                                    {/block}
                                                {/if}

                                                {* Show Manufacturer Name *}
                                                {if $Einstellungen.artikeldetails.artikeldetails_hersteller_anzeigen !== 'B'}
                                                    {block name='snippets-slider-items-freegift-manufacturer-name'}
                                                        <span itemprop="name">{$item->cHersteller}</span>
                                                    {/block}
                                                {/if}
                                            </a>
                                        </div>
                                    {/block}
                                {/if}

                                {* Show short description and parts-List in case of bundle *}
                                {block name='snippets-slider-items-freegift-caption-short-desc'}
                                    <div class="productbox-title">
                                        <a href="{$item->cURLFull}" target="_self" class="link-discreet">
                                            <span class="item-slider-desc {block 'snippets-slider-items-freegift-caption-short-desc-text-clamp-class'}text-clamp-2{/block}">
                                                {block name='snippets-slider-items-freegift-caption-short-desc-content'}
                                                    {$item->cKurzbezeichnung}
                                                {/block}
                                            </span>
                                        </a>
                                    </div>
                                {/block}
                            </div>
                        </label>
                    </div>
                </div>
            {/block}
        {/if}
    {/foreach}
{/block}
