{extends file="widgets/base/widget.tpl"}

{strip}
    {block name="et-widget-inline-styles"}
        {if $et_Accordion.customColorsEnabled}
            <style type="text/css">
                #{$et_BaseWidget.cssId} .et-accordion-item .card-header {
                    {if !empty($et_Accordion.colorTitleBackground)}background-color:{$et_Accordion.colorTitleBackground};{/if}
                    {if !empty($et_Accordion.colorTitleText)}color:{$et_Accordion.colorTitleText};{/if}
                }
                #{$et_BaseWidget.cssId} .card {
                    {if !empty($et_Accordion.colorBorder)}border-color:{$et_Accordion.colorBorder};{elseif !empty($et_Accordion.colorTitleBackground)}border-color: {$et_Accordion.colorTitleBackground}{/if}
                }
            </style>
        {/if}
    {/block}

    {block name="et-widget-container-inner"}
        {if is_array($et_Accordion.items) && count($et_Accordion.items) > 0}
            {include file="widgets/base/textfield.tpl" value=$et_Accordion.headline type="h2" asRow=true classes="et-widget-headline"}
            <div class="et-accordion-items et-accordion-item-style-{$et_Accordion.itemHeadlineStyle}" id="accordion-items-{$et_BaseWidget.id}"{if $et_Accordion.structuredDataType === 'faq'} itemscope itemtype="https://schema.org/FAQPage"{/if}>
                {foreach from=$et_Accordion.items item="item" name="accordionForEach"}
                    {if isset($item.title.value, $item.content) && $item.title.value !== '' && $item.content !== ''}
                        <div class="card et-accordion-item"{if $et_Accordion.structuredDataType === 'faq'} itemprop="mainEntity" itemscope itemtype="https://schema.org/Question"{/if}>
                            {if $et_Accordion.structuredDataType === 'faq'}<meta itemprop="name" content="{$item.title.value|strip_tags|escape:'html'}">{/if}
                            <div class="card-header" id="accordion-item-heading-{$et_BaseWidget.id}-{$item.id}">
                                <div class="et-accordion-item-heading et-collapse" data-toggle="collapse" data-target="#et-accordion-item-content-{$et_BaseWidget.id}-{$item.id}" aria-expanded="{if $et_Accordion.initiallyOpen && $smarty.foreach.accordionForEach.index === 0}true{else}false{/if}" aria-controls="et-accordion-item-content-{$item.id}">
                                    {include file="widgets/base/textfield.tpl" value=$item.title type='h3' isCollapseControl=true}
                                </div>
                            </div>
                            <div id="et-accordion-item-content-{$et_BaseWidget.id}-{$item.id}" class="et-accordion-item-content collapse{if $et_Accordion.initiallyOpen && $smarty.foreach.accordionForEach.index === 0} show{/if}" aria-labelledby="accordion-item-heading-{$item.id}"{if $et_Accordion.singleDisplayMode} data-parent="#accordion-items-{$et_BaseWidget.id}"{/if}{if $et_Accordion.structuredDataType === 'faq'} itemprop="acceptedAnswer" itemscope itemtype="https://schema.org/Answer"{/if}>
                                <div class="card-body"{if $et_Accordion.structuredDataType === 'faq'} itemprop="text"{/if}>
                                    {$item.content}
                                </div>
                            </div>
                        </div>
                    {/if}
                {/foreach}
            </div>
        {/if}
    {/block}
{/strip}