{extends file="widgets/base/widget.tpl"}
{strip}
    {block name="et-widget-inline-styles"}
        {if $et_ManufacturerBanner.customColorsEnabled}
            <style type="text/css">
                #{$et_BaseWidget.cssId}.bg-fullsize,
                #{$et_BaseWidget.cssId}.bg-boxed .container,
                #{$et_BaseWidget.cssId} .et-manufacturer-banner-content {
                    {if !empty($et_ManufacturerBanner.colorBackground)}background-color:{$et_ManufacturerBanner.colorBackground};{/if}
                    {if !empty($et_ManufacturerBanner.colorFont)}color:{$et_ManufacturerBanner.colorFont};{/if}
                }
            </style>
        {/if}
        {if $Einstellungen.navigationsfilter.hersteller_beschreibung_anzeigen === 'Y' && isset($oNavigationsinfo) && $oNavigationsinfo->getManufacturer() && $oNavigationsinfo->getManufacturer()->cBeschreibung|strlen > 0}
            {include file="widgets/snippets/style_limit_height.tpl" breakpointValues=$et_ManufacturerBanner.shortenToLength targetElement="#{$et_BaseWidget.cssId} .et-manufacturer-banner-description"}
        {/if}
    {/block}
    {block name="et-widget-container-inner"}
        <div class="et-manufacturer-banner-wrapper et-manufacturer-banner-layout-{$et_ManufacturerBanner.layout} row">
            <div class="col">
                {block name="et-manufacturer-banner-content"}
                    <div class="et-manufacturer-banner-content">
                        {if !$et_ManufacturerBanner.hideImage}
                            {block name="et-manufacturer-banner-image"}
                                {if isset($et_ManufacturerBanner.image.src) && $et_ManufacturerBanner.image.src !== ''}
                                    <div class="et-manufacturer-banner-image">
                                        <img class="img-responsive" src="{$et_ManufacturerBanner.image.src}" alt="{$et_ManufacturerBanner.image.alt}" loading="lazy"/>
                                    </div>
                                {elseif isset($oNavigationsinfo)
                                    && $oNavigationsinfo->getManufacturer() !== null
                                    && $oNavigationsinfo->getManufacturer()->getImage() !== null
                                    && $oNavigationsinfo->getManufacturer()->getImage() !== $smarty.const.BILD_KEIN_KATEGORIEBILD_VORHANDEN
                                    && $oNavigationsinfo->getManufacturer()->getImage() !== 'gfx/keinBild_kl.gif'
                                    && $oNavigationsinfo->getManufacturer()->getImage() !== $imageBaseURL|cat:$smarty.const.BILD_KEIN_KATEGORIEBILD_VORHANDEN}
                                    <div class="et-manufacturer-banner-image">
                                        {image fluid=true lazy=true webp=true center=false
                                            src="{$oNavigationsinfo->getManufacturer()->getImage(\JTL\Media\Image::SIZE_LG)}"
                                            srcset="{$oNavigationsinfo->getManufacturer()->getImage(\JTL\Media\Image::SIZE_XS)} {$Einstellungen.bilder.bilder_hersteller_mini_breite}w,
                                                    {$oNavigationsinfo->getManufacturer()->getImage(\JTL\Media\Image::SIZE_SM)} {$Einstellungen.bilder.bilder_hersteller_klein_breite}w,
                                                    {$oNavigationsinfo->getManufacturer()->getImage(\JTL\Media\Image::SIZE_MD)} {$Einstellungen.bilder.bilder_hersteller_normal_breite}w,
                                                    {$oNavigationsinfo->getManufacturer()->getImage(\JTL\Media\Image::SIZE_LG)} {$Einstellungen.bilder.bilder_hersteller_gross_breite}w"
                                            alt=$oNavigationsinfo->getManufacturer()->cBeschreibung|strip_tags|truncate:50|escape:'html'
                                            sizes="auto"
                                        }
                                    </div>
                                {/if}
                            {/block}
                        {/if}
                        {if !$et_ManufacturerBanner.hideTitle || !$et_ManufacturerBanner.hideDescription}
                            {block name="et-manufacturer-banner-content-positioner"}
                                <div class="et-manufacturer-banner-content-positioner">
                                    <div class="et-manufacturer-banner-backdrop">
                                        {block name="et-manufacturer-banner-content-wrapper"}
                                            {if isset($oNavigationsinfo) && $oNavigationsinfo->getName() && !$et_ManufacturerBanner.hideTitle}
                                                {block name="et-manufacturer-banner-title"}
                                                    {include file="widgets/base/textfield.tpl" value=$et_ManufacturerBanner.title type="h1" classes="et-manufacturer-banner-title"}
                                                {/block}
                                            {/if}
                                            {if !$et_ManufacturerBanner.hideDescription}
                                                {$enableShorten = false}
                                                {if $Einstellungen.navigationsfilter.hersteller_beschreibung_anzeigen === 'Y' && isset($oNavigationsinfo) && $oNavigationsinfo->getManufacturer() && $oNavigationsinfo->getManufacturer()->cBeschreibung|strlen > 0}
                                                    {$enableShorten = true}
                                                    {block name="et-manufacturer-banner-description"}
                                                        <div class="et-manufacturer-banner-description" {if $et_ManufacturerBanner.layout === 'textOnImage'}data-line-clamp{else}data-shorten-to{/if}='{$et_ManufacturerBanner.shortenToLength|json_encode}' data-shorten-to-height-auto="{if $et_ManufacturerBanner.shortenToAutoHeight}true{else}false{/if}">
                                                            {$oNavigationsinfo->getManufacturer()->cBeschreibung}
                                                        </div>
                                                    {/block}
                                                {/if}
                                                {block name="et-manufacturer-banner-description-buttons"}
                                                    {if $enableShorten}
                                                        {block name="et-manufacturer-banner-description-buttons-read-more"}
                                                            <div class="et-shorten-to-more et-line-clamp-more" style="display: none">
                                                                <a class="link-discreet" title="{et_language key='et360_read_more'}">{et_language key='et360_read_more'}<i class="{et_getIcon key='readMore'}"></i></a>
                                                            </div>
                                                        {/block}
                                                        {block name="et-manufacturer-banner-description-buttons-read-less"}{/block}
                                                    {/if}
                                                {/block}
                                            {/if}
                                        {/block}
                                    </div>
                                </div>
                            {/block}
                        {/if}
                    </div>
                {/block}
            </div>
        </div>
    {/block}
{/strip}