{extends file="widgets/base/widget.tpl"}

{strip}
    {block name="et-widget-inline-styles"}
        {if $et_Usps.customColorsEnabled}
            <style type="text/css">
                {if !empty($et_Usps.colorBackground )}
                    #{$et_BaseWidget.cssId}.bg-fullsize,
                    #{$et_BaseWidget.cssId}.bg-boxed .container {
                        background-color: {$et_Usps.colorBackground};
                    }
                {/if}

                {if !empty($et_Usps.colorIcon )}
                #{$et_BaseWidget.cssId} .et-usps-item-icon{
                    color:{$et_Usps.colorIcon };
                }
                {/if}
            </style>
        {/if}
    {/block}

    {block name="et-widget-container-inner"}
        {if isset($et_Usps.headline.value) && $et_Usps.headline.value !== ''}
            {block name="et-usps-headline"}
                <div class="et-usps-headline">
                    {include file="widgets/base/textfield.tpl" value=$et_Usps.headline type="h2" asRow=true classes="et-widget-headline"}
                </div>
            {/block}
        {/if}

        {block name="et-usps-items"}
            <div class="et-usps-items">
                <div class="row">
                    {foreach from=$et_Usps.items item="item" name="uspItemLoop"}
                        {block name="et-usps-items-item"}
                            <div class="col col-12 col-sm-6 col-lg-3 et-usps-item">
                            {if isset($item.link) && !empty($item.link.href)}
                             <a href="{$item.link.href}"{if !empty($item.link.title)} class="link-discreet" title="{$item.link.title}"{/if}{if $item.link.external} target="_blank" rel="noreferrer noopener"{/if}>
                            {/if}
                                <div class="media">
                                    {if $item.icon}
                                        {block name="et-usps-items-item-icon"}
                                            <div class="et-usps-item-icon">
                                                <i class="{$item.icon}"></i>
                                            </div>
                                        {/block}
                                    {/if}

                                    {block name="et-usps-items-item-content"}
                                        <div class="et-usps-item-content media-body">
                                            {if isset($item.title.value) && $item.title.value !== ''}
                                                {include file="widgets/base/textfield.tpl" value=$item.title type='strong'}
                                            {/if}

                                            {if isset($item.text.value) && $item.text.value !== ''}
                                                {include file="widgets/base/textfield.tpl" value=$item.text type='div'}
                                            {/if}
                                        </div>
                                    {/block}
                                </div>
                                {if isset($item.link) && !empty($item.link.href)}
                                </a>
                                {/if}
                            </div>
                        {/block}
                    {/foreach}
                </div>
            </div>
        {/block}
    {/block}
{/strip}